%define	desktop_vendor startcom

Summary: DSSI implementation of Fluidsynth
Name: fluidsynth-dssi
Version: 0.9.1
Release: 1%{dist}
License: LGPL
Group: Applications/Multimedia
URL: http://dssi.sourceforge.net/download.html#FluidSynth-DSSI
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: dssi

BuildRequires: gcc-c++ dssi-devel alsa-lib-devel liblo-devel
BuildRequires: ladspa-devel libfluidsynth-devel gtk2-devel

%description
This is an implementation of the FluidSynth soundfont-playing software
synthesizer as a DSSI plugin. It makes use of DSSI's
run_multiple_synths() interface to allow sharing of resources between
multiple plugin instances -- soundfont data is shared between
instances, and FluidSynth's usual voice allocation methods are applied
across multiple instances as if each were a FluidSynth channel.

%prep
%setup -q

%build
%configure
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
# create a startup command based on jack-dssi-host
%{__mkdir} -p %{buildroot}%{_bindir}
%{__ln_s} %{_bindir}/jack-dssi-host %{buildroot}%{_bindir}/fluidsynth-dssi

BASE="X-StartCom Application;AudioVideo-Extra;"
%{__cat} << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Fluidsynth DSSI
Comment=Fluidsynth DSSI plugin
Icon=
Type=Application
Exec=%{_bindir}/jack-dssi-host %{name}.so
Terminal=false
Categories=${BASE}${CATS}
Encoding=UTF-8
EOF

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  %{desktop_vendor}-%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README TODO 
%{_bindir}/fluidsynth-dssi
%{_libdir}/dssi/fluidsynth-dssi*
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop

%changelog
* Fri Nov 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri May  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1
- first build of fluidsynth-dssi as a separate package
